Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl Data Structures

Here are the data structures with brief descriptions:

_OsclBasicAllocator |
_OsclHeapBase |
AcceptParam |
allocator |
AllPassFilter |
BindParam |
BufferFragment |
BufferMgr |
BufferState |
BufFragGroup< ChainClass, max_frags > |
BufFragStatusClass |
CallbackTimer< Alloc > |
CallbackTimerObserver |
CFastRep |
CHeapRep |
ConnectParam |
CStackRep |
DNSRequestParam |
GetHostByNameParam |
HeapBase |
internalLeave |
LinkedListElement< LLClass > |
ListenParam |
MediaData< ChainClass, max_frags, local_bufsize > |
MediaStatusClass |
MemAllocator< T > |
MM_AllocBlockFence |
MM_AllocBlockHdr |
MM_AllocInfo |
MM_AllocNode |
MM_AllocQueryInfo |
MM_Audit_Imp |
MM_AuditOverheadStats |
MM_FailInsertParam |
MM_Stats_CB |
MM_Stats_t |
NTPTime | Time value as the number of seconds since 0h (UTC) Jan. 1, 1900
Oscl_Alloc |
Oscl_Dealloc |
Oscl_DefAlloc |
Oscl_DefAllocWithRefCounter< DefAlloc > |
OSCL_FastString |
Oscl_File |
Oscl_File::OsclCacheObserver |
Oscl_File::OsclFixedCacheParam |
Oscl_FileFind |
Oscl_FileServer |
oscl_fsstat |
OSCL_HeapString< Alloc > |
OSCL_HeapStringA |
Oscl_Int64_Utils | Wrapper for commonly used int64/uint64 operations
Oscl_Less< T > |
Oscl_Linked_List< LLClass, Alloc > |
Oscl_Linked_List_Base |
Oscl_Map< Key, T, Alloc, Compare > |
Oscl_Map< Key, T, Alloc, Compare >::value_compare |
Oscl_MTLinked_List< LLClass, Alloc, TheLock > |
Oscl_Opaque_Type_Alloc |
Oscl_Opaque_Type_Alloc_LL |
Oscl_Opaque_Type_Compare |
Oscl_Pair< T1, T2 > |
Oscl_Queue< T, Alloc > |
Oscl_Queue_Base |
Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc > |
Oscl_Rb_Tree_Base |
Oscl_Rb_Tree_Const_Iterator< Value > |
Oscl_Rb_Tree_Iterator< Value > |
Oscl_Rb_Tree_Node< Value > |
Oscl_Rb_Tree_Node_Base |
Oscl_Select1st< V, U > |
OSCL_StackString< MaxBufSize > |
oscl_stat_buf |
OSCL_String |
Oscl_Tag< Alloc > |
Oscl_Tag_Base |
Oscl_TagTree< T, Alloc > |
Oscl_TagTree< T, Alloc >::const_iterator |
Oscl_TagTree< T, Alloc >::iterator |
Oscl_TagTree< T, Alloc >::Node |
Oscl_TAlloc< T, Alloc > |
Oscl_TAlloc< T, Alloc >::rebind< U, V > |
Oscl_Vector< T, Alloc > |
Oscl_Vector_Base |
OSCL_wFastString |
OSCL_wHeapString< Alloc > |
OSCL_wHeapStringA |
OSCL_wStackString< MaxBufSize > |
OSCL_wString |
OsclAcceptMethod |
OsclAcceptRequest |
OsclActiveObject |
OsclAllocDestructDealloc |
OsclAOStatus |
OsclAsyncFile |
OsclAsyncFileBuffer |
OsclAuditCB |
OsclBindMethod |
OsclBindRequest |
OsclBinIStream |
OsclBinIStreamBigEndian |
OsclBinIStreamLittleEndian |
OsclBinOStream | Class OsclBinOStream implements the basic stream functions for an output stream
OsclBinOStreamBigEndian | Class OsclBinOStreamBigEndian implements a binary output stream using big endian byte ordering
OsclBinOStreamLittleEndian | Class OsclBinOStreamLittleEndian implements a binary output stream using little endian byte ordering
OsclBinStream |
OsclBuf |
OsclCompareLess< T > |
OsclComponentRegistry |
OsclComponentRegistryData |
OsclComponentRegistryElement |
OsclConnectMethod |
OsclConnectRequest |
OsclDestructDealloc |
OsclDNS |
OsclDNSI |
OsclDNSIBase |
OsclDNSMethod |
OsclDNSObserver |
OsclDNSRequest |
OsclDNSRequestAO |
OsclDoubleLink |
OsclDoubleList< T > |
OsclDoubleListBase |
OsclDoubleRunner< T > |
OsclError |
OsclErrorAllocator | This class provides static methods to invoke the user defined memory allocation routines
OsclErrorTrap |
OsclErrorTrapImp |
OsclException< LeaveCode > | Oscl_exception.h contains all the exception handling macros and classes This template class provides the base exception class that all exceptions derive from
OsclExclusiveArrayPtr< T > | Template class that defines an array pointer like object intended to be assigned an address obtanined (directly or or indirectly) by new. When the OsclExclusiveArrayPtr expires, its destructor uses delete to free the memory
OsclExclusivePtr< T > | Template class that defines a pointer like object intended to be assigned an address obtanined (directly or or indirectly) by new. When the OsclExclusivePtr expires, its destructor uses delete to free the memory
OsclExclusivePtrA< T, Alloc > | Template class that defines any pointer like object intended to be assigned an address obtanined (directly or or indirectly) through Alloc. When the OsclExclusivePtrA expires, Alloc is used to free the memory
OsclExecScheduler |
OsclExecSchedulerBase |
OsclExecSchedulerCommonBase |
OsclFileCache |
OsclFileCacheBuffer |
OsclFileHandle |
OsclFileManager |
OsclFileStats |
OsclFileStatsItem |
OsclGetHostByNameMethod |
OsclGetHostByNameRequest |
OsclInit |
OsclInteger64Transport |
OsclIpMReq |
OsclIPSocketI |
OsclJump |
OsclListenMethod |
OsclListenRequest |
OsclLockBase |
OsclMem |
OsclMemAllocator |
OsclMemAllocDestructDealloc< T > |
OsclMemAudit |
OSCLMemAutoPtr< T, _Allocator > | The oscl_auto_ptr class is a template class that defines a pointer like object intended to be assigned an address obtanined (directly or or indirectly) by new. When the oscl_auto_ptr expires, its destructor uses delete to free the memory
OsclMemBasicAllocator |
OsclMemBasicAllocDestructDealloc< T > |
OsclMemGlobalAuditObject |
OsclMemoryFragment |
OsclMemPoolAllocator |
OsclMemPoolFixedChunkAllocator |
OsclMemPoolFixedChunkAllocatorObserver |
OsclMemPoolResizableAllocator |
OsclMemPoolResizableAllocator::MemPoolBlockInfo |
OsclMemPoolResizableAllocator::MemPoolBufferInfo |
OsclMemPoolResizableAllocatorMemoryObserver |
OsclMemPoolResizableAllocatorObserver |
OsclMemStatsNode |
OsclMutex |
OsclNameString< __len > |
OsclNativeFile |
OsclNativeFileParams |
OsclNetworkAddress |
OsclNullLock |
OsclPriorityLink |
OsclPriorityList< T > |
OsclPriorityQueue< Qelem, Alloc, Container, Compare > |
OsclPriorityQueueBase |
OsclProcStatus |
OsclPtr |
OsclPtrC |
OsclRand |
OsclReadyAlloc |
OsclReadyCompare |
OsclReadyQ |
OsclRecvFromMethod |
OsclRecvFromRequest |
OsclRecvMethod |
OsclRecvRequest |
OsclRefCounter |
OsclRefCounterDA |
OsclRefCounterMemFrag |
OsclRefCounterMTDA< LockType > |
OsclRefCounterMTSA< DeallocType, LockType > |
OsclRefCounterSA< DeallocType > |
OsclRegistryAccessClient |
OsclRegistryAccessClientImpl |
OsclRegistryAccessClientTlsImpl |
OsclRegistryAccessElement |
OsclRegistryClient |
OsclRegistryClientImpl |
OsclRegistryClientTlsImpl |
OsclRegistryServTlsImpl |
OsclScheduler |
OsclSchedulerObserver |
OsclScopedLock< LockClass > | Template class that handles unlocking an abstract class on destruction. This is very useful for ensuring that the lock is released when the OsclScopedLock goes out of scope
OsclSelect |
OsclSemaphore |
OsclSendMethod |
OsclSendRequest |
OsclSendToMethod |
OsclSendToRequest |
OsclSharedPtr< TheClass > | A parameterized smart pointer class
OsclShutdownMethod |
OsclShutdownRequest |
OsclSingleton< T, ID, Registry > |
OsclSingletonRegistry |
OsclSocketI |
OsclSocketIBase |
OsclSocketMethod |
OsclSocketObserver |
OsclSocketRequest |
OsclSocketRequestAO |
OsclSocketServ |
OsclSocketServI |
OsclSocketServIBase |
OsclSocketServRequestList |
OsclSocketServRequestQElem |
OsclSocketTOS |
OsclTCPSocket |
OsclTCPSocketI |
OsclThread |
OsclThreadLock |
OsclTickCount |
OsclTimer< Alloc > |
OsclTimerCompare |
OsclTimerObject |
OsclTimerObserver |
OsclTimerQ |
OsclTLS< T, ID, Registry > |
OsclTLSEx< T, ID, Registry > |
OsclTLSRegistry |
OsclTLSRegistryEx |
OsclTrapItem |
OsclTrapStack |
OsclTrapStackItem |
OsclUDPSocket |
OsclUDPSocketI |
OsclUuid |
PVActiveBase |
PVActiveStats |
PVLogger |
PVLoggerAppender |
PVLoggerFilter |
PVLoggerLayout |
PVLoggerRegistry |
PVSchedulerStopper |
PVSockBufRecv |
PVSockBufSend |
PVThreadContext |
RecvFromParam |
RecvParam |
SendParam |
SendToParam |
ShutdownParam |
SocketRequestParam |
StrCSumPtrLen | Same as StrPtrLen, but includes checksum field and method to speed up querying
StrPtrLen | This data structure encapsulates a set of functions used to perform
TimeValue | Time value in a format native to the system
TLSStorageOps |
TReadyQueLink |
WStrPtrLen | This data structure encapsulates a set of functions used to perform